summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dario Nicodemi2010-03-22 03:31:27 +0100
committer Robby Workman2010-05-13 14:20:21 +0200
commit7c097f27613f58ca7c71fa26928d5ca683d9f1f7 (patch)
treece1502f9440c6cbbd6349f75f79abdb98038d405
parentc432c5085618f5800a3f641ce7e97b708c146c6f (diff)
downloadslackbuilds-7c097f27613f58ca7c71fa26928d5ca683d9f1f7.tar.gz
misc/xdelta: Added. Xdelta is a binary patch creation tool.
-rw-r--r--misc/xdelta/README9
-rw-r--r--misc/xdelta/slack-desc19
-rwxr-xr-xmisc/xdelta/xdelta.SlackBuild78
-rw-r--r--misc/xdelta/xdelta.info10
4 files changed, 116 insertions, 0 deletions
diff --git a/misc/xdelta/README b/misc/xdelta/README
new file mode 100644
index 0000000000..6624fddcd9
--- /dev/null
+++ b/misc/xdelta/README
@@ -0,0 +1,9 @@
+xdelta - Binary delta generator
+
+Xdelta is a program designed to compute changes between files. These changes
+(deltas) are similar to the output of the "diff" program in that they may be
+used to store and transmit only the changes between files. However, unlike
+diff(1), the output of xdelta is not expressed in a human-readable format.
+
+Xdelta uses a fast, linear algorithm and performs well on both binary and
+text files.
diff --git a/misc/xdelta/slack-desc b/misc/xdelta/slack-desc
new file mode 100644
index 0000000000..a6bf275db0
--- /dev/null
+++ b/misc/xdelta/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xdelta: xdelta (Binary delta generator)
+xdelta:
+xdelta: Xdelta is an application program designed to compute changes between
+xdelta: files. These changes (deltas) are similar to the output of the "diff"
+xdelta: program in that they may be used to store and transmit only the
+xdelta: changes between files. However, unlike diff, the output of Xdelta is
+xdelta: not expressed in a human-readable format.
+xdelta: Xdelta uses a fast, linear algorithm and performs well on both binary
+xdelta: and text files.
+xdelta:
+xdelta:
diff --git a/misc/xdelta/xdelta.SlackBuild b/misc/xdelta/xdelta.SlackBuild
new file mode 100755
index 0000000000..d231bc108e
--- /dev/null
+++ b/misc/xdelta/xdelta.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for xdelta
+
+# Written by Dario Nicodemi dario.sbo@gmail.com
+
+PRGNAM=xdelta
+VERSION=${VERSION:-1.1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-shared \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/xdelta/xdelta.info b/misc/xdelta/xdelta.info
new file mode 100644
index 0000000000..72c0e5d7ec
--- /dev/null
+++ b/misc/xdelta/xdelta.info
@@ -0,0 +1,10 @@
+PRGNAM="xdelta"
+VERSION="1.1.4"
+HOMEPAGE="http://xdelta.org/"
+DOWNLOAD="http://xdelta.googlecode.com/files/xdelta-1.1.4.tar.gz"
+MD5SUM="1b896c01ebf0e353b7e3c3071b05f496"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dario Nicodemi"
+EMAIL="dario.sbo@gmail.com"
+APPROVED="rworkman"